unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    GroupBox2: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    Edit3: TEdit;
    Edit4: TEdit;
    Button2: TButton;
    Button3: TButton;
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button3Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Edit1.Clear;
  Edit2.Clear;
  Edit3.Clear;
  Edit4.Clear;
end;

function euklid(a,b: integer): integer;
var rest: integer;
begin
  while rest <> 0 do begin
    rest := a mod b;
    a := b;
    b := rest;
  end;
  result := a;
end;

procedure kuerzen (zaehler_ungek, nenner_ungek: integer; var zaehler_gek, nenner_gek: integer);
var ggt: integer;
begin
  ggt := euklid(zaehler_ungek, nenner_ungek);
  zaehler_gek := zaehler_ungek div ggt;
  nenner_gek := nenner_ungek div ggt;
end;

procedure TForm1.Button1Click(Sender: TObject);
var z_ungek, n_ungek, z_gek, n_gek: integer;
begin
  z_ungek := StrToInt(Edit1.Text);
  n_ungek := StrToInt(Edit2.Text);
  kuerzen(z_ungek,n_ungek,z_gek,n_gek);
  Edit3.Text := IntToStr(z_gek);
  Edit4.Text := IntToStr(n_gek);
end;

end.
